R573
更新金手指

R572
更新mapper 127 IRQ，尝试模拟mapper 127 4020b，4040b
修正部分mapper 没有break;导致BUG


R571
mapper 127增加新ROM dip支持
mapper 45,submapper 1，及部分DIP支持
增加JY12005
完善TF2740，支持新DUMP的合卡
更新金手指文件

R570
增加CTC-09的魂斗罗+合卡支持，电源切换。

R569
增加BMC-830752C 支持

R568
增加mapper 401,感谢NRS，但目前实现还有问题，要完善测试

R567
增加mapper 116,submapper 3,电源切换游戏马里奥5合1基础支持


R566
增加mapper 313.submapper 1,2支持，以模拟NRS新发布的一些ROM
修正mapper 374,内部指向，之前错误指向mmc3，现在为mmc1

R565
增加BMC-KG256，debuger mapper
完善mapper 196

R564
增加mapper 19.6，雷精灵汉化的吉米克 音效添加

R563
增加mapper 400,感谢NRS，但目前实现还有问题，要找到ROM完善测试。

R562
增加BMC-BS-400R
增加BMC-TF2740
增加BMC-TL-8042
Mapper 71,BMX BS-2支持，感谢NRS
更新Mapper 150,243,重定向老ROM为芯片定义74*374
增加mapper 398,399,感谢NRS，但目前实现还有问题，要完善测试


R561
增加mapper 402,感谢NRS
完善mapper 134.1?
完善mapper 57 CHR ppu update.
增加mapper 200.1？

R560
升级mapper 171，感谢NRS

R559
增加mapper 550，感谢NRS

R558
同步到mapper 534到最新NRS，感谢NRS
增加mapper 395,原mapper 52.2顺序错误，395正确的ROM顺序，同时重新组合13合1，14合1，14合1a，感谢NRS
注：保留原52.2错误顺序的ROM和MAPPER，预计发布11月11日
增加mapper 396 ，感谢NRS
增加mapper 397 ，感谢NRS
增加mapper 548,原UNL-KISS?奇迹之石 KISS?,我暂地指向KISS ，感谢NRS
增加mapper 549,原KS7016B? ，感谢NRS


R557
同步mapper 389到最新NRS
增加BTL-TJ-05,double dragon TJ-05,mmc1 clone.TTL+PAL16L8AN

R556
修正mapper 394，软复位状态同步到NRS

R555
修正mapper 390.个人失误，Chr切换写成了prg切换。 
增加mapper 392 感谢NRS模拟
增加mapper 393 感谢NRS模拟
增加mapper 394 感谢NRS模拟
增加mapper 531 感谢NRS模拟，todo:测试,nestopia可能处理键盘有问题。

R554
增加BMC-810631-C,BMC-J-2101,帝国战机48合1，感谢东子提供卡带，峰哥提供RAWDATA todo:合并mapper
增加BMC-811040-C，UxROM，todo:合并mapper

R553
完善BTL-900218,增加PCB BTL-900314,BTL-900315支持，ROM数据同样，但表现不同
UNL-T4A54A 完善，整合NRS
增加圣火徽章外传盗版 sram控制，同时增加盗版ROM信息到数据库

R552
完善BMC-K86B,Mirr支持.todo:找到所有ROM进行测试。

R551
增加mapper 389 感谢NRS模拟
增加mapper 390 感谢NRS模拟
增加mapper 391 感谢NRS模拟
增加mapper 134 submapper 1,由于Nestopia Plus原始134使用中，NRS 134定义为 mapper 134.1，等同于原UNL-T4A54A


R550
增加mapper 57,DIP，复位程序，

R549
增加BMC-BS-110,BMC-43-257,14-in-1 (400-in-1,3000000-in-1,8000-in-1) (Unl) 基础支持。


R548
修正SG2的MIRR处理。

R547
同步mapper 319,HP-898F到NRS，todo:测试所有的原mapper 319 ROM.
移动原mapper 319,暂时为mapper 319.1
更新数据库，S08为178.1

R546
一些小修正
启用mapper 534,同原163.数独五子二合一，NJ064

R545
增加mapper 386 感谢NRS模拟
增加mapper 387 感谢NRS模拟
增加mapper 388 感谢NRS模拟
todo:重构JY所有的mapper

R544
完善BMC-K-3057,修正支持1024KROM，mask由3->7，增加mirr支持。

R543
增加BMC-K-3011,BMC-K-3011-25支持，两PCB略有不同，但基本同样，todo:与K-3019合并mapper.

R542
增加BMC-YY840708C,1995 Soccer 6-in-1 足球小将專輯 (JY-014),感谢NRS模拟

R541
调整现有mapper 176 128K+64K ROM的判断逻辑，事实上可以去掉了。
调整现有mapper 43，对ROM的判断逻辑，对就原43.1
增加mapper 385,对应原BMC-2779，mapper 202,submapper 1

R540
修改850637C，由于支持512K+512K，增加到1024K+1024K的支持，支持1994 Super HIK 8-in-1 Z-001 SYSTEM AM(N)IMAL KINGDOM (Unl),但没找到PCB，TODO：找到PCB编号，并且验证是否支持2048K+2048K支持。感谢峰哥提供raw dump相关信息。
增加BMC-AB889-R1,Well 4-in-1 (AB170)支持,感谢峰哥提供raw dump相关信息,TODO:合并mapper 52

R539
增加BMC-850753C支持，同BMC-850754C，增加PCB编号而已

R538
增加BMC-810428-C支持，Fire Emblem Gaiden (810428-C,AX5208C)(J) [p1]，todo:测试和确认开机演示动画实体机是否完整，感谢Snacks提供ROM
增加BMC-2779支持，暂定mapper 202,submapper 1，NTDEC 5 IN 1: nice menu支持,感谢Snacks提供ROM

R537
增加BMC-820401-C,BMC-T-217支持，1993 Super Hik 6-in-1 (B-010,820401-C,T-217)(Unl)[p1]，todo:合并mapper

R536
增加BMC-03-101,mapper 546支持 吞食天地 10合1支持，感谢NewRisingSun模拟NRS，感谢byemu提供最新的DUMP设备，感谢寒山提供卡带。

R535
增加BMC-811005-C,BMC-ET-178 3合1或4合1，街霸II+龟3+三目+SPRGAME.感谢峰哥提供raw dump


R534
重构BMC-L1F13 mapper逻辑，感谢峰哥提供raw dump,74LS153,74LS157,Super 7-in-1 帝国战机、科乐美世界2、蝙蝠侠支持。
同时兼容R459增加的错误逻辑的BMC-L1F13 ROM.


R533
增加BMC-820913C,BMC-T-243,街霸4合1 支持，感谢峰哥提供ROM
增加BMC-L1A16,科乐美世界4合1支持，感谢NewRisingSun模拟NRS,感谢峰哥提供ROM

R532
增加BMC-901201，Best No.1 5-in-1 Super Gold Card (Unl,901201) 支持，AX-40G+4040B+4020B

R531
增加BMC-T-101,BMC-4382,BMC-821204C PCB支持，等同于原BMC-850637C

R530
增加mapper 545,BMC-ST-80,鬼斗罗4合1 感谢峰哥和电脑兄提供ROM，感谢NewRisingSun模拟NRS

R529
增加BMC-BS-N017支持，17合1支持,todo:N032合并？

R528
增加BMC-830928C,BMC-43-106支持，同原BMC-WX-205

R527
完善Nestopia mapper 544实现，NRS实现没有问题，而nestopia有问题，感谢姜维第二测试和再次测试,TODO:全面测试
增加BMC-N-128,BMC-94V0,胜天8合1，4合1，支持，感觉猫莎拉帝提供8合1卡带

R526
完善mapper 544,Waixing FS306,CoolBoy FS306,霸王的大陆 中文加强版 感谢姜维第二提供卡带，感谢byemu提供设备，感谢NewRisingSun模拟NRS。

R525
增加mapper 544,Waixing FS306,CoolBoy FS306,霸王的大陆 中文加强版 感谢姜维第二提供卡带，感谢NewRisingSun模拟NRS
R524
增加mapper 3933,BMC-3933,16-in-1 (3933)(Unl) 支持.


R523
增加mapper 377,初步支持,感谢NewRisingSun
增加mapper 381,初步支持,感谢NewRisingSun
增加GS-2013对应的mapper号383，感谢NewRisingSun定义mapper号
增加mapper 517,初步支持,感谢NewRisingSun
增加BMC-CH501对应的mapper号543,放开ROM大小限制，增加对Over Dump支持。


R522
增加部分UNIF PCB名称支持

R521
暂时回滚R456,mapper 52 CHRRAM支持，使用mapper 52.13来模拟CHRROM和CHRRAM混合卡带


R520
增加mapper 379,BMC-ZP-003 感谢NewRisingSun
增加mapper 380,BMC-970630C 感谢NewRisingSun
增加mapper 205,submapper 2,BMC-811002-C,BMC-ET-177A 3-in-1+Master Figher II Reset.


R519
增加mapper 378,战斗蛙8合1 支持感谢NewRisingSun

R518
增加BMC-K-3051 支持，DUMP数据验证MAPPER。todo:更多3051 ROM

R517
修正R490时SA005-A增加DIP后，部分ROM，闪退问题，感谢ggdir。
修正Nestopia Plus!通用VRC2and4的存档问题
修正判断chr>=256 为chr>=SIZE_256K.........oh!shit!

R516
增加BMC-7-06-C，9-in-1 + Double Dragon III (ResetBased 7-06-C,Unl) 支持,感谢 浩男 兄

R515
增加mapper45 没有CHR的ROM初步支持,todo:合并优化代码 感谢NewRisingSun
增加mapper 371,PEC586 Spanish初步，todo:PEC586键盘支持。感谢NewRisingSun
移除mapper 363，合并到mapper 358,todo:合并优化代码 感谢NewRisingSun
数据库添加原mapper 363 ROM 定向 358
CRC方式修正原错误的363 ROM JY-016的执行问题，希望大家放ROM时，多测试多效验。

R514
增加mapper 3013 Debuger mapper
增加Bmc-81-01-17-C支持，VRC4 9合1，100合1，DIP，75合1 没有DIP>>?

R513
增加BMC-GT006-04同系列新PCB BMC-940702-B42，增加3in1/15in1 ROM DIP，同时支持reset 未归案DIP切换

R512
增加BMC-7-10-C,UxROM 12-in-1 addres和data latch.
映射mapper 539为 UNL-HIKARI-SHINWA,由于之没有PCB编号，使用UNL-HIKARI-SHINWA

R511
增加mapper 359 使用CHR ROM的支持，BMC-842142C
增加BMC-11-10-C-A,MMC3+NROM+CNROM
增加Bmc-268-20A,UxROM 20-in-1

R510
增加mapper 376支持,BMC-YY841155C,Donkey Kong 8-in-1 (JY-041)支持。 感谢NewRisingSun
修正mapper 542(mapper 27 submapper 1),即时存档问题

R509
增加mapper 375支持，BMC-2110、BMC-810429-C-A2，92年超值卡 超越时空 135-in-1 无敌号 所向无敌 16强 感谢NewRisingSun

R508
增加mapper 372,373,感谢NewRisingSun
重定向mapper 313为 mmc3 128+128 (原始Nestopia为 通用128+128,256+256) 感谢NewRisingSun
增加mapper 374 mmc3 256+128,感谢NewRisingSun

R507
增加mapper 541支持, Korean 리틀컴 (LittleCom) 160-in-1 multicart. 支持，感谢NewRisingSun TODO:找到ROM测试 
YUNG-8---->YUNG-08

R506
增加mapper 540支持，对应原UNL-82112C
增加mapper 45,CRAM的使用，Rockman 6-in-1 rev2 支持，感谢NewRisingSun

R505
增加mapper 542(mapper 27 submapper 1),毛泽东诞辰꞉ 一百周年纪念 1893-1993,感谢NewRisingSun

R504
增加mapper 111 分支GTROM debugger Mapper  支持
增加UNROM-512,UNROM-512-8,UNROM-512-16,UNROM-512-32  debugger Mapper 支持
升级中文包版本号为1.4.0.21

R503
尝试增加mapper 30,sumapper 1,UNROM512 支持。

R502
增加BMC_411120_C、BMC_811120_C 主板的容量大小(默认Nestopia Plus!限制容量，选择不限制无问题)

R501
修正KS7022C，之前的错误提交,mapper 56正常工作。
升级版本号1.4.0.21

R500
修正一些小问题

R499
修改一些小问题

R498
完善AbG1L，FK23C CHR MASK支持.

R497
完善MAPPER201,Mapper45,T4A54A，TODO:合并MAPPER，重构mapper 176.

R496
尝试完善mapper 45,以CRC方式判断启访问5000段的ROM？

R495
增加mapper 368,6000-7FFF段读。
增加mapper号369，并定向到原有UNIF mapper
增加mapper 370,Mario Party II 6-in-1 或67-in-1支持。M2 IRQ?

R494
增加mapper 368,支持。

R493
增加mapper 538,支持。感谢NewRisingSun提供mapper信息

R492
增加BMC-CH501 DIP开关，游戏卡带本身没有这个功能，模拟器增强。

R491
增加BMC-SMD-007,BMC-SMD_007支持，战斗蛙2合1

R490
增加SA005 DIP开关支持.todo:test rom

R489
重构K-3033代码，让代码变得更简洁.

R488
尝试完善mapper 258,215.

R487
完善mapper 281,282,debugger代码.

R486
VRC7 patch set is finally properly dumped, VRC7 instruments, March 15, 2019 dumped by Nuke.YKT,依旧使用老版本

R485
修正BMC-FC-4IN1,代码，兼容错误顺序的DUMP的ROM。

R484
合并CPU超频部分代码

R483
增加BMC-850317C支持
增加BMC-K86B支持

R482
增加BMC-GN-21,BMC-K-3106-18-4支持。todo:合并mapper


R481
解决warning C4555: expression has no effect; expected expression with side-effect问题。

R480
增加mapper 196 DIP 判断为NULL支持。古今英雄传不花屏.
更新数据库

R479
更新张晓波汉化霸王大陆初步支持，战斗结束画面有问题，

R478
增加张晓波汉化霸王大陆的初步支持，TODO：增加ines格式和修正有时不显示汉字问题。

R477
增加部分nes2.0 新mapper号，对应已存在UNIF.
增加PEC-9588支持 代码,todo:增加小卡支持，增加对应的键盘支持
增加Subor Type 2a (32 KiB Banking)，初步支持.

R476
修正mapper 91的SFIII MIRR

R475
增加Asder PC 95支持，
增加部分nes2.0 新mapper号，对应已存在UNIF.
增加mapper 241.2

R474
增加3D-Block支持，mapper 355 初步支持.

R473
更新PEC-586 代码,todo:增加小卡支持，增加对应的键盘支持


R472
支持BMC-KL-06,基础支持,感谢 远望寒山提供卡带.

R471
支持BMC-TL-8164,基础支持，感谢 远望寒山提供卡带.

R470
完善mapper 2786,BMC-2786，支持更多合卡！！感谢 远望寒山

R469
完善mapper 127,MIRR处理，以兼容究极虎(4108-410B)与双截龙2代的PCB
增加BMC-CUR9045 调试测试mapper

R468
完善mapper 127,IRQ,双截龙2代，IRQ还不完善，但与实体机一样会闪动。

R467
增加完善一些合卡MAPPER，用于测试新DUMP的ROM

R466
增加mapper 363,mapper 364支持

R465
增加mapper 361,mapper 362支持
尝试完善mapper 90 DIP开关.
mapper 295,支持32K CRAM(todo:合并 full  nes 2.0 nestopia)

R464
完善BMC-JY4M4 , "Super 3-in-1 (Unl,JY-103,JY4M4)

R463
增加BMC-GAME57 YH 8合1系列支持
增加BMC-JY88S 支持

R462
回滚R460，尝试完善Fk23c，使用CRC方式修正1997 Dragon Ball 7-in-1 (JY-204)

R461
增加T-102 主版，另一个编号821205C支持。

R460
尝试完善Fk23c
增加mapper 282,submapper 1,1998 super 4-in-1 JY-17 支持。

R459
增加BMC-L1F13,Super 7-in-1 帝国战机、科乐美世界2、蝙蝠侠等初步支持(待重构逻辑).

R458
增加BMC-SBN010-48,赌神+超级大战略+街头霸王60P 3合1 初步支持

R457
增加mapper 3003,BMC-K-3003支持，双菜单8强 128K.

R456
完善KS7021A,由VRC4派生改为VRC2派生.
尝试完善mapper 45,支持chrram.
完善DS07，增加mirr控制.

R455
补提交R454的MAPPER配置文件。

R454
完善mapper 91,submapper 1,合卡支持，同NintendulatorNRS,JY主版.

R453
增加mapper 356支持

R452
增加mapper 360支持。

R451
NES 2.0 Mapper 533,Sachen 3014 board, used for the game 動動腦 II: 國中英文(一) (Dòngdòngnǎo II: Guózhōng Yīngwén (I), also known as Middle School English II, SA-003)

R450
完善mapper 225,增加submapper 1,不存在复位寄存

R449
完善mapper 225,增加复位寄存器，计划增加submapper 1,不存在复位寄存

R448
更新金手指
增加palettes

R447
升级Mapper 219,submapper 05,BMC-YW425,增加BMC-16IN1,BMC-S-2009,BMC-PP-128K-16支持，增加DIP支持。

R446
增加BMC-960703C支持，新DUMP 麻将扑克3合1
增加mapper 2786,BMC-2786支持，新DUMP NTDEC 8-in-1 256K 支持。
增加mapper 3012,新DUMP 15合1支持，TODO：增加电源UXROM模式。
TODO完善SB-5013 MMC3 IRQ.

R445
修正BMC-8205A, BMC-TL-8122 AxROM模式 MIRR。

R444
增加	BMC-8205A, BMC-TL-8122，支持龙珠幽游5-in-1.

R443
增加BMC-850754C,Dragon Ball 3-in-1 支持.

R442
尝试增加mapper 358,J.Y. Company JY-016 支持。

R441
完善mapper 295
完善TA45A，支持8K CHR 模式。
增加自用金手指

R440
一些代码优化和精简

R439
完善SB-5013 MMC3 IRQ
其它一些小修正。

R438
增加mapper 359,原SB-5013，并尝试完善MMC3模式。

R437
完善mapper 23，增加支持大于256K，非标准VRC4支持。

R436
增加mapper 351,TECHLINE 9-IN-1支持。

R435
增加mapper 357,支持4-in-1 (4602)
调整mapper 43,支持80K PRG和128K PRG支持。
完善mapper 91，支持新dump Super Fighter 3(原始版本)

R434
增加mapper 199,submapper 01

R433
增加Mapper 24,submapper 15,支持Akumajou Densetsu (J) [hM16].
增加mapper 86,submapper 15,支持盗版Moero!! Pro Yakyuu (Black) (J) (Bootleg)，语音播放。
更新数据库
更新自用金手指

R432
增加Mapper 26,submapper 14,支持新汉化Esper Dream 2 (CN)支持.

R431
更新一切MAPPER的小问题
更新数据库，支持mapper 68的一些头部不正确的ROM

R430
完善T4A54A,支持新DUMP，3合1 ROM
更新数据库，支持俄国朋友DUMP的忍者4


R429
增加MAPPER 381,submapper 2,与BTL-UT-1245A不同的是IRQ Counter和存档端口,SAVE存档， todo：合并mapper

R428
增加BMC-850637C、BMC-1032253B，Well 4-in-1 (AB011,850637C 1032253B) 支持

R427
R426
增加Mapper 354,BMC-FAM250,250-in-1 (FAM250)，支持，感谢krzysiobal dump和分析。

R425
增加Mapper 219,submapper 05,BMC-YW425,主版没有编号，well 4-in-1 Uxrom合卡。
增加Mapper 204,submapper 03,BMC-2102,小游戏合卡及DIP开关。
增加BMC-HD-1035，合卡支持。

R424
重构JY-604,MAPPER 45.15 代码。
优化BMC-C4-040326代码。

R423
完善BMC-C4-040326，BMC-XB9383-2FS264UL，MMC3 IRQ问题，DEBUG MAPPER

R422
修正BMC-SB-5013复位花屏
增加BMC-C4-040326，BMC-LD622D，BMC-XB9383-2FS264UL，DEBUG MAPPER

R421
增加BMC-SB-5013,Super Boy 6-in-1 (Unl,SB-5013)，龙珠、白书、魂斗罗、美人鱼、Mario boy(mapper 42)、台球支持，todo:测试


R420
完善BMC-T-262，32K模式bank，支持新DUMP 11-in-1 (A-040)

R419
增加BMC-N49C-300支持，Super Mario Family 6-in-1 支持。

R418
增加Coolgirl支持，Nestopia的DEUBGMAPPER，要完善MAPPER、电池存档及即时存档等。
增加BMC-81-03-05-C,Mapper 353,92 Super Mario Family 支持。感谢krzysiobal,NewRisingSun/NewRisingSun2

R417
尝试完善mapper 132,172,173
更新数据库

R416
完善mapper 120
增加亚空大战作 金手指

R415
增加UNL-830945C支持，盗版VRC7，Yuu Yuu Hakusho - Bakutou Ankoku Bujutsu Kai (Unl)(VRC7,830945C)，TODO：完善IRQ
修复BMC-K-3022,BMC-M-28-C-A 超级三代存档问题。

R414
完善mapper 3357,BMC-TX5/8IN1,即时存档问题
增加盗版特救指令修复金手指。
增加todo列表，VRC7的IRQ完善需求。

R413
修复BMC-76IN1 UNIF 映射支持
增加BMC-76IN1 1024K PCB支持，NewStar Fighting Games Super 12-in-1 (CG012,76IN1)，TODO:mapper合并。


R412
增加BMC-K-3022,BMC-M-28-C-A,支持32-in-1 mario合集 (K-3022,M-28-C-A) (Unl),Todo:mapper合并
完善mapper 3357,BMC-TX5/8IN1,新星super 5-in-1 (NS58,NS59)支持

R411
增加UNL-L001，Mapper 330支持，Sangokushi III [Sangokushi II - Haou no Tairiku (J) Hack] by krzysiobal.todo :存档问题

R410
修正完善BMC-T-262的即时存档失败后，游戏菜单不能进入游戏问题。

R409
增加UNL-G831，MMC4 Clone.Fire Emblem - Ankoku Ryuu to Hikari no Tsurugi (J) [p1] 模拟支持。
更新数据库，支持魔城传说2.1执行问题
中文语言文件由1.4.0.10 升级为1.4.0.20


R408
增加BMC-K-3057,支持33-in-1 (K-3057,33/55) (Unl),Todo:mapper合并

R407
移除BMC-T-262 HACK代码，增加32K模式支持，BMC-T-2XX系列，支持UxROM模式，32K模式，16K模式 （TODO：测试或更多的新DUMP测试）

R406
增加BMC-830733C,支持4-in-1 Street Blaster 5 (820733C) (Unl),Todo:mapper合并

R405
增加BMC-XMD支持,Super 3-in-1 Dragon Scroll,Wai Wai World 2,Bio Miracle Bokutte Upa支持

R404
增加BMC-830529C,BMC-JYV712支持Super Hik 4-in-1 And World Hero JY-006.

R403
增加BTL-N-43,MAPPER 326,支持新DUMP魂斗罗日版N-43，感谢krzysiobal 

R402
增加BMC-T-1000,龙珠2合1支持，重构BMC-JY-104,UNL-T-1000,TODO:MAPPER合并

R401
完善UNL-KS7021A,支持新DUMP的魂斗罗日版KS-7021A
增加BMC-DG574B,暂时支持4in1，菜单类似mapper52. todo :mapper合并

R400
增加mapper 3357,BMC-TX5/8IN1,新星super 8-in-1 支持
增加BMC-T-215,BMC-820436-C，9-in-1 (T-215,820436-C) 支持.

R399
增加BMC-M2C52A，BMC-M2C52B，UNROM 4合1 1999 4-in-1支持。
增加BMC-970910C，BMC-JF8M,Mario 7-in-1 (Unl)
更新金手指，魔城传说2 无敌金手指，可以吃宝物了

R398
增加BMC-8203支持，Selling Card 7-in-1 (DY116,8203)支持，AxRom和UxRom合卡。
增加ines四屏或单屏修正方式。
更新自用金手指。

R397
增加mapper 334,BMC-821202C支持，5/20-in-1 (Space Fight of Gun, Fantasy of Gun, Abyss of Gloom, City Adventure, Elfland)
增加BMC-821157C、BMC-T-97支持，新DUMP 出击飞龙，银河号 3合1 ROM 支持(MMC1合卡盗版)

R396
更新数据库，支持新DUMP 215 地球虫2 ROM。

R395
增加mapper 208,submapper 2,NEWSTAR MultiCart RIP Street Fighter IV (Unl) 支持。
增加BMC-056,超级8合1 256K ROM支持。
增加BMC-JY4M4 , "Super 3-in-1 (Unl,JY-105,JY4M4)

R394
添加UNIF BMC-NEWSTAR-4IN1-NS12,Street Fighter IV 4-in-1 (NewStar,NS12,Unl)支持,TODO:find pcb number or mapper number.
添加UNIF BMC-NEWSTAR-4IN1-T2,Street Fighter II Game 4-in-1 (Unl)[p3]支持,TODO:find pcb number or mapper number.

R393
增加mapper 197,submapper 3,新dump 9人/18人二合一卡，JB-220
完善mapper 212,同步到fceux，新dump newstar 8-in-1 working.
增加mapper 265,submapper 15,支持，新DUMP CK 8-in-1 A-307支持。
更新自用金手指。 

R392
修正MMC5 超级中国人3代中文版死机问题？TODO：测试真实MMC5逻辑
更新数据库，支持新DUMP中文游戏 暗黑王

R391
增加MAPPER260，261，262，288(原mapper 133,合卡子mapper,for Nessie)，297（原UNL-01-22110-000）
Todo:Mapper 295 IRQ 完善？

R390
完善mapper 281,MIRR修正
增加MAPPER 283，284，285，286支持。nestopia mapper 284没有完全实现


R389
完善mapper 90 or mapper 281(Nestopia Plus! 281 是两个MAPPER合的，有CHR为MAPPER90 子MAPPER)。
增加MAPPER 295支持，MAPPER90变种，WIKI上的MAPPER信息不完善。TODO：测试
增加BMC-K2011,BMC-T4IN1,同BMC-NEWSTAR-4IN1-TROG，新星
调整Jy系列的代码到第三方目录，优化目录结构。
增加新金手指

R388
增加 Games Xplosion 121-in-1, Mapper 269支持,todo:test

R387
增加8-in-1 JY-119, Mapper 267支持
增加JY-105/JY-114, Mapper 282支持
增加CoolBoy 4-IN-1 CB-4035, Mapper 294支持

R386
FC双截龙2全Boss合一超强改版 hack 支持

R385
恢复误提交的三个文件。

R384
......
R383
更新BMC-YY841157C，1996 Super Hik 4-in-1 (JY-049,Unl)，修正wai wai world mirr问题(本盗版卡MIRR不支持四屏版)
增加MAPPER 279，BMC-PC2-P3127-01支持，30-in-1 Video Game by krzysiobal,非常感谢krzysiobal
增加UNL-KS7009,KASIER KS-7009,LG43,Family Boxing (Kaiser)(KS7009,Unl) [p1]支持,Mapper 206 盗版。
增加MAPPER 280,BMC-317,BMC-A-26-C支持，100-in-1+Contra 24-in-1 and 100-in-1+Contra 12-in-1 支持.感谢大神krzysiobal
增加MAPPER 281,BMC-76IN1,新星12-in-1支持.感谢大神krzysiobal分析电路和模拟。
增加BMC-FC-4IN1，Street Fither Collection Game 4-in-1 (NewStar,NS11)(Unl)[p1]支持。

R382
增加BMC-YS4IN1，等同于BMC-NEWSTAR-4IN1-NS02。
增加MAPPER 535,NEWSTAR NS35 16合1或54合1 支持。
增加BMC-YY841157C，1996 Super Hik 4-in-1 (JY-049,Unl)

R381
添加UNIF BMC-NEWSTAR-4IN1-TROG,Trog 4-in-1 (NewStar,Unl)支持,TODO:find pcb number or mapper number.
添加UNIF BMC-NEWSTAR-4IN1-NS02,Golden Best Collection 4-in-1 (NewStar,NS02,Unl)支持,TODO:find pcb number or mapper number.
完善mapper BMC-STREETFIGTER-GAME4IN1 支持新DUMP的ROM，todo:重构
同步中文语言文件和英文语言文件。

R380
更新数据库，修正少林武者美版UNIF MIRR问题。
同步Nintendulator-NRS，添加Mapper 274 for BMC-80013-B，感谢NewRisingSun/NewRisingSun2
添加UNIF BMC-09-078,BMC-DS-201,NES 2.0 MAPPER 277,SangTine 6in1支持，感谢krzysiobal 
添加UNIF BMC-SC0892，31-in-1 Cartridge (SC 0892) (Unl)支持，TODO：MAPPER合并。
添加MAPPER 70.1,新DUMP 非BUS CONFLICTS ROM, Operation Wolf (U) [P2].what? other emu 70 not bus confilicts?

R379
修正 BMC-HPXX 4-in-1_-_Chessmaster_[p1][U][!]花屏问题,原因是缺少WRAM配置,nestopia严格控制WRAM的使用。

R378
修复 BMC-HPXX 复位多次花屏问题。

R377
UNIF HPxx - new board added for various multigame dumps by Cah4e3,BMC-HP2018-A 为BMC-HPxx子集。

R376
完善MAPPER 213，支持新DUMP 168合1 by Cah4e3
增加Mapper 178 submapper 15支持，原F178，数据库修正4-in-1_(SO1)[p1][!]可以执行。

R375
增加BMC-212-HONG-KONG支持，MAPPER 235.2，210-in-1 and Contra 4-in-1 (212-in-1,212 Hong Kong,Reset Based)(Unl) 模拟.
增加BMC-GR-002-31，相关注释

R374
增加BMC-GR-002-31，1993 Nian Chao Zhi Jing Hua Ka Kuai Da 31-in-1 (Unl,GR-002-31) 模拟支持，感谢漆科。
增加BTL-890908，等同于mapper 127,并追加Mapper 127 KyuukyokuTiger PCB信息。
完善Mapper 189,支持1993 Nian Chao Zhi Jing Hua Ka Kuai Da 31-in-1 (Unl,GR-002-31) RIP MF2 ROM。
增加BTL-40-5B，等同与BTL-900218，增加BTL-900218

R373
增加BMC-SB0848005P，小霸王盗版新星4合1支持。调整BMC-4INCAR为两个MAPPER。
增加BMC-22026支持，mapper 271,MGC-026支持。

R372
Mapper 036 - update with mirroring command used by 4-in-1 MGC-026 (not break other game though) by cah4e3
恢复1.36之前移除CPU ResetLog
更新数据库，支持部分SMB 修改。

R371
BMC 80013-B unif mapper added for "90-in-1 Hwang Shinwey" dump,thank you cah4e3

R370
增加MAPPER 318,SUBMAPPER 1,UNIF BTL-BJ-40,与BTL-UT-1245A不同的是IRQ Counter和存档端口,EEPROM todo
增加EEPROM 93C56 DEBUGER 代码,存档未实现，但BTL-BJ-40，游戏可以执行。

R369
完善数据库对nes 2.0 大于255的mapper号支持
增加MAPPER 516,支持Brilliant Com EduBank Pack 1 & 2,两个ROM
更新数据库,添回原 goodnes中的Brilliant Com Pack 2 (K) [!]为Brilliant Com Pack 2 (K) [b1].

R368
增加MAPPER 318,UNIF BTL-UT-1245A,两个PCB，电池记忆和EEPROM记忆,EEPROM todo

R367
增加MAPPER 317,UNIF BMC-810344-C、BMC-4350支持，EEPROM todo

R366
完善BMC-D-26B，BMC-D-26-B,MIRR处理。
增加Mapper 57 新的DIP游戏支持。
完善部分合卡的即时存档功能
增加mapper1相关子mapper支持。
增加mapper21,22,23,25相关子mapper支持。todo:irq late问题

R365
增加非标准MMC3，A00X不控制SRAM读写。以兼容某汉化ROM。
增加mapper 185 Nes 2.0 子mapper 0,4,5,6,7支持。

R364
增加BMC-13IN1JY110支持，虽然没有ROM存世，但还是加上。

R363
修改ines头编辑功能，支持256到4095的MAPPER号修改。
增加MAPPER 316,UNIF BMC-JY104支持，300系列为盗版系列，16为原版MAPPER号,EEPROM todo
升级todo list;

R362
增加Mapper 515,OpenCorp Family Noraebang（UNROM with YM2413）支持 ，感谢krzysiobal, Lidnariq, NewRisingSun提供模拟信息，MLX提供ROM.
增加MAPPER 256-258支持，信息来自fceux
完善FDS IRQ，todo: ERR.40?
增加BMC-820914C支持

R361
尝试完善FDS IRQ。

R360
增加BMC-D-26B，BMC-D-26-B支持，基于R359的IRQ的合卡游戏。


R359
增加BTL-J-2012-II、BTL-18-72、BTL-8006支持，
PCB:18-72,Chips:23c269+PAL16L8ANC++74LS21N+74LS393
PCB:J-2012-II,Chips:23c3662+PAL16L8AN+74LS21N+74LS393
PCB:8006,Chips:23c269+PAL16L8ANC++74LS21N+74LS393
Games:
Teenage Mutant Ninja Turtles (J)[p1]
Akumajou Special - Boku Dracula-kun (J) [p1][t1] ==>Akumajou Special - Boku Dracula-kun (J) [p1]
Akumajou Special - Boku Dracula-kun (J) [p2]
增加BTL-3930支持,Gremlin 2 - Shinshu Tanjou (J) [p1]

R358
修正决战太平洋MAPPER 227问题，游戏PCB不是227 PCB，增加SRAM支持。
Update VRC2 and VRC4 submapper numbers 
增加mapper 84,Super 4-in-1 FDS合集 PCB的ROM可以执行。

R357
增加UNIF BMC-DS-07支持Super 4-in-1 UNROM 4合1系列支持。
修正MAPPER81， 增加8K WRAM支持。

R356
增加mapper 81,Super 12-in-1 EK8B-022 PCB的ROM可以执行。
增加UNIF BMC-63-1601SOP,支持Super 16-in-1 (Spring) ROM支持。
增加UNIF N715021,支持，废弃无用mapper 81。

R355
增加mapper 52,submapper 2 ,SPC,KING的ROM支持，super 12/13/14合一可以执行，类似mapper52的,暂时使用52.2进行模拟。（nestopia plus开始分化MAPPER）


R354
增加UNIF BMC-BS-N032，32-in-1 (BS-N032)(Unl)
更新数据库

R353
完善mapper 63,255 in 1 Mirror 硬件故障
完善mapper 116,Huang2,Huang1,todo:完善
更新光枪
更新数据库

R352
增加MAPPER57 新DUMP 4合1、58合1的对话框DIP设置
增加BMC-810433C,支持，todo:mapper合并
对VSsystem进行完善，增加TKO Boxing一些ROM的支持。
更新数据库

R351
一些小修正。
简单修改FK23C，修正部分游戏花屏问题
完善649902的IRQ问题，todo完善
增加MAPPER 196，83部分DIP问题，感谢NewRisingSun2
增加编程器读取的外星游戏数据的解密算法，感谢惊风
完善TENGEN MAPPER64 Skull的IRQ问题。
更新数据库，超级中国人3 数据，非电池记忆

R350
PPU小修正

R349
Fixed NSF/NSFE and FDS in Dendy-mode v4.
简单修改FK23C，支持新DUMP的一些卡带
更新数据库、更新Todo List.

R348
完善Coolboy,MMC3 寄存器由0x3F,0x3E=>~0,~1,新DUMP 500合一可以执行。
更新数据库

R347
完善Mapper 136,使用TXC ASIC源代码，感谢NewRisingSun，提供txc.cpp相关代码。Nestopia Plus的136由SachenTcu2代码切换到TXC ASIC TYPE C代码.
更新数据库

R346
增加FARID_ROCKMAN_6-IN-1, Mapper 52.15

R345
完善sahcen的中国大亨的模拟,游戏正常执行，但存档有问题，todo:CHR SAVE?. thakn you : NewRisingSun
修正Pegasus 4 in 1的模拟。 
完善盗版Famicom Jump II - Saikyou no 7 Nin (J) [p1]执行问题。
更新数据库

R344
完善MINDKIDS
更新readme.html,增加PLUS新增加的MAPPER和主板信息。

R343
增加COOLBOY的变种PCB MINDKIDS支持

R342
增加BMC-K-3010 支持， todo:合并MAPPER

R341
子MAPPER 21.9支持
关闭C4130警告
更新数据库，修正突击Tu Ji (TW) (Joy Van)为MAPPER 146

R340
FDS: Fixed bug in IRQ code (Fixes Lutter freeze) 
完善k-3044的寄存器注册范围，6000-7FFFF，新DUMP21in1可以正常执行。
一些小BUG修正。
更新数据库


R339
移除PPU HACK修正的ACCLAIM-MC-ACC,更新到ACCLAIM-MC-ACC.cpp中修正。


R338
修正Konami QTAI,即VRC5
完善T4A54A,支持新DUMP，街霸4合1
更新数据库
更新TODOLIST

R337
增加Konami QTAI,即VRC5 初步支持

R336
增加INES 218即mapper 218初步支持
增加UNL-PCI566支持，即MAPPER38的UNIF

R335
修正MAPPER 153 IRQ？Dragon Ball 3 - Gokuu Den (J) [!]不闪,Todo:Test Bandai all mapper
修正MAPPER 127 IRQ？Double Dragon II 盗版，以后找到ROM，进行测试。
更新数据库2:58 2017/2/18

R334
完善BMC-GN-16,BMC-K-3091
增加INES190即MAPPER190支持,支持新dump的ROM Magic Kid GooGoo

R333
更新自用金手指库
增加MAPPER7的trainer支持，以支持使用trainer进行hack的ROM。
增加The_Powerful_Girls_[p]_[!]_by_Guyver支持，盗版RIPROM CHR切换问题。
增加BMC-GN-16，BMC-K-3091支持

R332
添加阿拉丁MAPPER4为MMC3A
回滚PPU到R314
更新数据库，以自动修正部分VCD提取的ROM的执行。

R331
增加裕兴VCD 提取的GxROM,CxROM的支持，5500，5501，4800端口支持。
完善MMC3的IRQ端口注册。
更新数据库，以自动修正部分VCD提取的ROM的执行。

R330
修正GOODNES中部分标为bad dump的ROM正确MAPPER和运行。
升级版本号为1.4.0.20
更新数据自动修正GOODNES中部分标为bad dump的ROM正确MAPPER和运行。
增加BMC-820310-C，BMC-K-3105支持，街霸超级魂斗罗2合1卡带。
增加各种调色板pal文件

R329
增加Contra 76-in-1,BMC-PT-91-35 or BMC-NEWSTAR-GRM050支持。
增加BMC-810852-C-A2,BMC-810853-C-A2支持,BMC-810851-C-A2另二个版本。
拟修正MAPPER90 真人快打2/3标题闪动问题，可能影响MAPPER90，209，211等IRQ
增加BMC-3945初步支持，ROM需REDUMP
增加BMC-K-3072，K系列TODO合并MAPPER
增加20-in-1 Super contra + double dragon 3 合卡支持。
增加FDS模拟的PAL，dendy模式支持，TODO:测试

R328
增加Super 15-in-1 Game Card (891227)(Unl)，BMC-891227 支持
修正BMC-K-3023，棋王标题显示问题

R327
增加BMC-810851-C-A2支持，无标题4人街霸+小游戏合集666-in-1 Dip Switch Cart (810851-C-A2)支持
增加BMC-D-20-B 支持，魂斗罗+小游戏 16合1 版本B
增加BMC-K-3023 支持，合并在K3014A文件中。K系列TODO合并MAPPER

R326
增加MAPPER67 非标准容量支持，圣斗士2汉化版傻瓜式支持。
增加五佑卫门hm04的6000段支持

R325
完善MAPPER189，不影响其它189 ROM，支持新DUMP的合卡RIP的无标题的4人街霸
增加UNL-128219 美版PCB UNL-CTC-04支持。

R324
完善BMC-CTC-40与BMC-CTC-12IN1，影子传说死机与实体机一样
完善MAPPER227的DIP，TODO：更多的DIP支持

R323
修正VS2015 DEBUG模式配置问题
修正BMC-CTC-12IN1 支持，修正吃豆人和B计划显示不正常问题,todo:影子传说第二小节1up问题
增加BMC-CTC-40支持，与BMC-CTC-12IN1.

R322
增加BMC-CTC-12IN1 支持，TODO：确认吃豆人合卡问题
增加Nestopia Plus CreateBoard Extend Function，Plus专有中国盗版MAPPER适配函数。

R321
增加BMC-811034-C 支持，TODO：mapper 合并
增加BMC-SA005-A 支持，TODO：mapper 合并
增加BMC-CTC-09 支持，TODO：mapper 合并
增加BMC-K-3014A支持，TODO：mapper 合并
增加BMC-D-216,BMC-N64-1(两个型号PCB，类似K-3014A，但有所不同)支持，TODO：mapper 合并
增加MAPPER61 Reset Based 20IN1+CONTRA的支持。PCB 781066，原始61ROM+原版魂斗罗 
更新数据库


R320
增加UNL-820119-C-A1， Tiny Toon Adventures 2 - Montana Land e Youkoso (820119-C-A1,VRC4)支持，感谢lidnariq 硬件分析，Zepper 卡带提供。

R319
增加合卡 4IN1CAR，SB0644084P支持
临时修正MAPPER230，22 合 1 ，魂斗罗的切换问题
增加BMC-TJ-03,4合1初步支持。
更新数据库

R318
增加合卡RIP SB0644084P的街头霸王III（9人）支持。
修正VC版Ganbare Goemon 2 (J) [Wiiu Vc]的执行问题。
完善MAPPER225，修正部分ROM菜单问题
完善MAPPER255，修正部分ROM菜单问题，这个MAPPER未来要合并到mapper 225中，需要更多的信息。
完善MAPPER241，合卡MIRR支持。
支持et-4308 PCB，41-in-1,todo:合并mapper
更新数据库


R317
回滚部分代码，PPU修正后，部分游戏不再使用HACK方式模拟。
更新数据库

R316
增加小古，非常规（没控制SRAM是否可写）的忍龙松五合一支持。
增加flamecyclone 修改的魂斗罗暂停显示菜单早期BUG版的支持模拟。

R315
PPU小修正？

R314
完善MAPPER 14，武士魂 花屏修正，测试武士魂，马里奥13，都没有问题

R313
更新数据库，修正部分GOODNES ROM的执行状态。


R312
完善中文语言文件源代码界面美化
增加转MAPPER2，糖果屋四屏支持
增加错误洛克人X INES头ROM的修正

R311
增加mmc1的trainer支持，以可以执行某大的圣斗士选关修改
增加中文语言文件的源代码

R310
增加FDS，制造商日志记录
增加VC FDS BIOS支持

R309
增加RAR,7z中nsfe读取

R308
完善NSFE，INFO长度读取问题

R307
增加NSFE基本播放功能，

R306
简单修改fk23c以支持新DUMP游戏,Todo:重构代码

R305
完善COOLBOY register 范围修正 TODO:test all rom

R304
修正COOLBOY CHR切换问题

R303
临时修正Skull & Crossbones (Tengen) [!] P2模式IRQ问题。

R302
修正R53 FDS IRQ修正的其它问题，"Druid - Kyoufu no Tobira (1988)(Jaleco)(J).fds" 菜单问题.

R301
增加PRG和CHR 不限制选项，用于非标准(官方容量)容量的卡带执行，注：R300开始，原有语言文件不可以使用。

R300
增加CPU RAM 初始选项，理论上NTSC默认值是0xFF，但个别游戏除外。所以增加选项。


R299
增加MAPPER227的DIP新合卡支持
完善K-3006代码，支持新DUMP 33合1 TODO：合并优化
完善K-3008代码，支持新DUMP 21合1 TODO：合并优化

R298
增加BMC-GN-30C，4-in-1 (K3966-SS, GN-30C) [p1]支持，TODO：mapper 合并
完善UNIF EH8813A ，支持新DUMP EH8813A的18合一ROM 
完善UNL T4A54A,新ROM可以执行
完善MAPPER52，支持850335C，TODO：MAPPER合并

R297
增加BMC-A60AS,球类11合1 新DUMPROM的支持。
增加BMC-09-079,Sane Ting 8 in 1 小游戏合集支持。
增加BMC-K-3032,与3036同MAPPER,只是记录PCB信息。但PRG大小由512K->1024K

R296
完善A65AS代码，以正确模拟新DUMP的3合1中的台球问题
完善MAPPER57的DIP功能，增加5000切换菜单功能。
增加非标准MAPPER185的存档功能，感谢MM之神提出意见。


R295
完善MAPPER17,Spartan X 2 (J) [b1]完美执行。Spartan X 2 (J) [b1]->Spartan X 2 (J) [hFFE]

R294
修正盗版Famicom Jump II - Saikyou no 7 Nin (J) [p1]执行问题。
增加Sangokushi II - Haou no Tairiku (J) [b1]为UNL-SG2-1,为盗版GOODDUMP!数据库修正。

R293
增加盗版 三国志 中原霸者盗版 PCB BJ-56 支持。
增加盗版 三国志II 霸王的大陆 PCB SG2_1 支持。

R292
增加PCB AB-G1L合卡的执行问题77-in-1(21-in-1,49-in-1,154-in-1)(Unl).nes
更新支持VS2015 UPDATE3编译修正。


R291
增加BMC-LB12IN1，新星游戏12合一，Super 12-in-1 (NS13)(Unl)支持。
修正新DUMP的176部分ROM花屏问题，fk23c todo 重构。

R290
增加BMC-L6IN1，新星低K游戏6合一，New Star 6-in-1 Game Cartridge (L6IN1)(Unl)支持。
增加Cabal，NARC 新星BMC-L6IN1合卡RIP的ROM的支持

R289
增加盗版Master Fighter II (Unl) [a3]，新星合卡RIP的ROM的支持。
Fixed triangle volume in Dendy mode (todo test)

R288
Dendy timing fixes (FHorse)  todo: test all rom,goodnes?

R287
更新UNIF 128219的编程器读取ROM的支持，EXT数据，在PRG0或PRG1双UNIF支持。

R286
增加UNIF 128219的编程器读取ROM的支持，PAL控制器ROM补丁功能？。128k+2K PRG
4020 is clocked by M2, so Q11 should go high after 2048 cycles; approximately 18 scanlines.

R285
UNIF BMC-830567C - new dump "8-in-1 Qun Xiong Shi Ka Wei Wo Du Zun Zhen Han Quan Shi Jie (Unl)"

R284
mapper 45 - update for a new dump from Cah4e3

R283
mapper 178 - added very quick implementation of IR bat,初步支持，鼠标，IRQ待完善。

R282
mapper 212 - fixed init state, fixes some new dumps issues 

R281
升级DXSDK的路径由32位下改为64位下x86路径。
增加BMC_GF_401CD支持,代码合并在BMC-A65AS中。原始a65as本身就是两个PCB的合并,goodnes 4in1 (JY-066),归并到GF-401CD

R280
修正完善VRCII mirroring,只支持H和V，不再支持0，1
Sembra che, al contrario del VRC4, il VRC2 supporti solo il VH mirroring
(http://forums.nesdev.com/viewtopic.php?f=3&t=13473).


R279
增加MMC3 Clone T1,编程器直读芯片ROM的解密，感谢JOE的算法

R278
增加mapper 53的EPROM效验，以模拟从另一卡带DUMP的新ROM，todo:去掉效验

R277
修正新DUMP的176部分ROM花屏问题，fk23c todo 重构。

R276
增加Nteam汉化组kasuraj的MMC4恶魔城2代大字体汉化1.2支持
升级开发工具由VS2013到VS2015

R275
UNIF BMC-K-3029 - new dump "29-in-1 (PCB K-3029)(Unl)"

R274
HACK方式修正DQII，DQIII J-VC版的启动问题，todo:测试游戏流程。
更新数据库，将Commandos (Ch)强制定义为MAPPER163，todo:测试游戏流程。

R273
修正ACCLAIM-MC-ACC的代码，暂时关闭UE的ACCLAIM-MC-ACC实现，恢复原NESTOPIA实现。
更新数据，支持新DUMP的227 ROM

R272
UNIF UNL-KS7017 - new dump "Exciting Basket (Kaiser)" ,重构代码，以适应更多的ks7016游戏。
UNIF BMC-81-01-31-C - new dump "7-in-1" ,todo:test
UNIF UNL-8-IN-1 - new dump "Super 8-in-1"，等于原nestopia BMC-NEWSTAR-GRM070-8IN1 

R271
增加VRC4D复位,电源选择游戏，支持64K，128K，256K，512K ROM!

R270
增加VRC4D复位选择游戏，忍者龟二合一支持，todo:完善到任意合一

R269
修正Saiyuuki World (T Chi) [Ver1.04],第一次发行版的执行问题，使用CRC方式，HACKROM请使用最终版

R268
增加数据库实例，修正Nobunaga no Yabou - Sengoku Gunyuu Den (J) (PRG1)为16K WRAM。感谢 金龙鱼提供问题信息
修正Operation Secret Storm (Color Dreams) [T+Rus_Guyver]的执行问题。感谢 金龙鱼提供问题信息
精确BTL-6499-02 IRQ模拟 from byemu(peter)

R267
修正Digital Devil Monogatari - Megami Tensei (J) [hM04]的执行问题。

R266
UNIF BMC-K-3046 - new dump "11-in-1 (K-3046)(Unl)" by dragon2snow todo:合并

R265
UNIF RT-01 - new dump "Test Ver. 1.01 Dlya Proverki TV Pristavok (RT-01, by SS aka Snake)(Unl)[U][!]"  from cah4e3

R264
修正MAPPER 63，255合1 B计划执行问题，todo:修正完善NMT处理

R263
增加NstDatabase.xml文件 submapper配置支持，todo:使用测试。

R262
增加BMC-830134C,BMC-T-235,BMC-820732C临时支持，未来要合并到BMC-830118C。TODO：合并

R261
增加mapper 227,submapper 1,submapper 2,解决CHRRAM是否可写问题。TODO：合并

R260
去掉Mortal Kombat (YY-01) (Ch) [!] HACK方式修正，恢复正常执行

R259
增加mapper 208,Submpper 1,chip=JJ-01支持，Goodnes 3.23 Mortal Kombat (JJ-01) (Ch) [!](Street fighter 4)

R258
增加mapper 197,Submapper 2,chip=MK3支持，Mortal Kombat III Special (YY-030) (Ch) [!]，Mortal Kombat III 28 Peoples (NT-328) (Ch) [!]可以正常执行。

R257
UNF UNL-FC-28-5027,MAPPER 197,SUBMAPPER 1,AX5202P, Super Fighter III (Unl,FC-28 5027) [!] by dragon2snow

R256
完善BMC-GT006-04部分代码，由&20变为>>5&0x01,按位移逻辑来判断PRG大小。
为MAPPER 210，芯片340， 增加修正：Wagyan Land 2 (J)，Wagyan Land 3 (J)问题，兼容UE的数据库
修正MAPPER 162，submapper 西游记后传 存档画面花屏问题，感谢惊风。

R255
增加MAPPER210 submapper1,2
修正赤影战士 美欧版 VC 死机问题
HACK方式修正：Wagyan Land 2 (J)，Wagyan Land 3 (J)

R254
部分MAPPER 204的ROM增加DIP开关。

R253
修正BTL-DDJ,NMT实现，Double Dragon (J)[p1] VS模式工作正常,测试ACT模式，最终BOSS处有一点小问题。
更新数据库文件，放行一个执行有问题的MAPPER 241的学习机ROM。

R252
重构BTL-DDJ和MAPPER127的代码，文件重命名。

R251
BTL-DDJ, Double Dragon (J)[p1],MMC1 Clone by dragon2snow,todo:test nmt 

R250
完善mapper217 子mapper 255in1,21-in-1，小游戏合集的模拟。新DUMP孩子王21-in-1可以模拟。

R249
完善mapper57,增加在不DIP数据库中的游戏以复位进行DIP开关功能。
更新内部数据库

R248
增加MAPPER241 版本A，2-in-1 (Cang Ku Shi Jia+Dong Dong Nao) (C)正常执行。

R247
修正通天霸 金手指 界面逻辑问题

R246
增加GameGeine中国盗版 通天霸 金手指支持。TODO：测试

R245
UNIF F-15 - new dump "150-in-1 Unchained Melody (FIGHT 150 ver LOVE)[p1][U][!]"  from Cah4e3

R244
初步增加SSS-NROM-256,famicombox支持。

R243
增加BMC-CH501，对应1996 Wu Di Zhi Li Ka 4-in-1 (CH401) from dragon2snow
格式化部分源代码，以确保可读性。

R242
增加BMC-H007，对应Qi Long Zhu Ling Huan Jie Ba 2-in-1 (H007)(Unl)[p1] from dragon2snow,todo:复位花屏问题。

R241
增加BMC-JY-604，mapper 45.15.支持mapper 45 mmc3+vrc混合模式，TODO：确认合并mapper 90

R240
增加BMC-PCB9062，- 1996 Super Hik Gold Card 6-in-1 (LT-962) 初步模拟。

R239
增加UNL-831128C ，VRC7 盗版， 1995 New Series Super 2-in-1 (Unl,Vrc7p)初步支持，TODO：IRQ，主要代码来自惊风


R238
增加UNL-KS7047支持，同KS7032.
增加UNL-KS7035支持，同UNROM
增加数据库实体，Downtown Special - Kunio-kun no Jidaigeki Dayo Zenin Shuugou! (J) [!]可以存档，同时增加GOODNES中的所有的其改版为SAVE。


R237
增加BTL-CH-66A,MAPPER23.14支持，for Rokudenashi Blues (J) [p1] by dragon2snow

R236
增加fceux的VRC2的派生。wai wai world加血版STG关修正。数据库chip type="Hybrid",但实体机STG关与fceux完全不同，只是作为自己玩时画面正常而已。
增加天使之翼的NES数据库文件，不编译到主程序中。
增加Plus数据库文件，作为演示数据使用，不编译到主程序中。

R235
增加HACK代码，让热血12合一，最后一个游戏可以正常执行。CRC效验。同时更新增加电池记忆。
增加HACK代码，让部分MAPPER52的CHR顺序错误的游戏可以执行。CRC效验。
UNIF BMC-830705C，BMC-T-112  - 1995 Super Hik 3-in-1 (Z-003) from dragon2snow

R234
重构UNL-0353代码，移除memcpy。代码精简，测试OK
增加MAPPER10非标准1024+1024的ROM设置。
数据库添加FF3，MAPPER90实体。


R233
重构UNL-BANDAI-VRC4代码，增加PCB信息，文件名重命名，更换为BTL-ET-44、BTL-D-18-B
更新数据，去掉UNL-BANDAI-VRC4配置。

R232
增加BMC-K-1079，MAPPER 235，SUBMAPPER 1, 20-in-1 (K-1079,DIP X in 1 ) 模拟人员：惊风，MIRR修正dragon2snow

R231
增加smynes为了保护自己模拟器的优越性而改变CHR顺序的Super HIK 8-in-1 King Fighter (Unl) [b1]的执行代码。一切都是利益作怪！ROM无罪。

R230
UNIF BMC-830555C  - 6-in-1 (830555C T-109)(Unl)[!] from byemu
UNIF UNL-TH2131-1  - IRQ FIXED from JOE.
完善UNIF EH8813A ，支持新DUMP EH8813A的8合一ROM 
临时修正Salamander (J) [hM04]的执行问题，下方微闪，待修复。
修正完善BMC-A65AS MAPPER代码，2012年dragon2snow dump的A65AS游戏可以执行。
增加惊风新发布的高达三代汉化版盗版的执行。

R229
UNIF BMC-AB8H01-REV-01 - Well 8-in-1 Qiang Ka (8AB109,Unl) by dragon2snow
UNIF UNL-TH2131-1  - HACK IRQ.

R228
UNIF UNL-TH2131-1  - Batman (J)[p1] BTL,NTDEC TH2131-1  FME-7 couvert VRC2/4， IRQ  FME-7 IRQ counter,dumped by Fisher,emulate by temryu

R227
UNIF KS-7030 MIRR修正  from 惊风

R226
UNIF KS-7010 增加标题画面版权DIP开关 from 惊风。

R225
UNIF KS-7010 花屏修正，MAPPER信息待未来完善

R224
UNIF KS-7010 - Akumajou Dracula (FDS Conversion,KS7010) from temryu.dumped by dragon2snow todo:复位花屏修正

R223
UNIF BMC-K-3006 -  21-in-1 (K-3006)(Unl).unf   from dragon2snow

R222
UNIF BMC-SUPER7IN1CY702 - Super Well 7-in-1 (CY-702,AB115)(Unl)   from dragon2snow

R221
增加电源切换游戏MAPPER UNIF BMC-POWER-UNROM，BMC-POWER-SXROM，BMC-POWER-TXROM。

R220
增加BMC-81-01-29-C的UNIF支持，类似NESTOPIAPLUS最初的BMC-81-02-04-C。但有VRC4D模式代码重构。

R219
完善mapper 199 高达三代即高达外传的商店显示问题。TODO：未来更系统的完善MAPPER

R218
UNIF 810519-C-A1  - 7-in-1(ET-149,810519-C-A1)  from dragon2snow
完善mapper 222 IRQ from 惊风 ,TODO测试 其它222的ROM。

R217
UNIF EH8813A - hw switch added  from Cah4e3

R216
Support for mappers 78.1 and 78.3 
Support for mapper 71.1 
Support for mapper 68.1 

R215
UNIF UNL-01-22110-000  - for  2-in-1 Uzi LightGun Only (Unl,MGC-002) by  temryu,驱动来着惊风

R214
Added support for mapper 4.3，ACCLAIM-MC-ACC

R213
增加BMC-81-02-04-C，BMC-J256-47的UNIF支持，等于NESTOPIAPLUS最初的BMC-VRC4-3IN1A。代码重构。

R212
Added support for mapper 32.1
HACK 方式Street Fighter II - The World Warrior (Unl) [a3][!]暂时可以执行，Master Fighter III,todo:VIGA Vs.Viga 花屏。

R211
修正UNIF N-63 复位花屏问题
修正UNIF 128219 复位花屏问题
UNIF K-3044 -  new dump "Super 65-in-1 (Unl,K-3044)" 
更新数据库，支持修改过的外星高达三代。

R210
UNIF EH8813A - fixed inplementation  from Cah4e3

R209
UNIF UNL-128219 - old dump "Gradius II (J) [p2]" and "Gradius II (J) [p4]"


R208
临时增加HACK代码在FK23C,for new dump Super Game 4-in-1 (Unl,YH-4146),第二个游戏CHR进入游戏后会再次访问5000段，重复expregs[2]为00，花屏

R207
UNIF EH8813A - new dump "Dr. Mario II (Unl)[U][!]" from Cah4e3
UNIF HP898F - new dump "Prima Soft 10-in-1 (02 8807870-3)(Unl)[U][!]"  from Cah4e3

R206
临时增加HACK代码在FK23C，以确认新DUMP两个ROM可以正常执行（不花屏）

R205 
临时修正OneBus 三目童子IRQ问题，发出来进行测试，有问题回滚。

R204
为MAPPER3增加trainer.Space Boy (Unl)可以执行。
暂时去掉文件加载大小验证，但PRG和CHR要验证

R203
CPU增加BRK设置方法,SetBrkType,类型等于2的处理代码。目前只应用于MAPPER58 submapper 1（CRC效验)。


R202
修正MAPPER 215 镜像处理。

R201
CPU增加BRK设置方法,SetBrkType,目前只应用于MAPPER57 submapper 1。理论上不会影响其它游戏。
增加MAPPER57 SubMapper 01,信息来着nessie102a11。对应ROM Goodnes 3.23 68-in-1 (Mapper 57) [p1].
完善MAPPER200，增加复位选择菜单功能

R200
增加VS系统的部分游戏的DIP支持。
增加三国志II 张晓波汉化的UNIF 调试MAPPPER,TODO，UNIF字库的加载，字库的输出等。

R199
修正编译错误。
增加BTL-NROM - new ROM Battel City 2 in 1,Super Tank（自用MAPPER）

R198
增加MAPPER1 DEBUGGER MAPPER,支持GOODNES 3.23B 1024K Dragon Warrior IV (U) [b?]的修正执行
增加MAPPER0 DEBUGGER MAPPER,支持RIP TANK 90的正确执行和复位切换版本。

R197
UNIF BMC-GN-26 - new dump Kuai Da Jin Ka Zhong Ji Tiao Zhan 3-in-1 (3-in-1,6-in-1,Unl).unf by dragon2snow，debug mapper
UNIF BTL-NROM - new ROM Battel City 3 in 1,Super Tank I,Super Tank II,64 in 1 Rip ROM.


R196
UNIF BMC-GN-26 - new dump Kuai Da Jin Ka Zhong Ji Tiao Zhan 3-in-1 (3-in-1,6-in-1,Unl).unf by dragon2snow，debug mapper



R195
修正 UNIF BMC-NEWSTAR-GRM070-8IN1软复位问题，实体机不回菜单。
HACK 方式Mortal Kombat (YY-01) (Ch) [!]暂时可以执行
更新数据库，支持最终幻想三部曲，英文菜单ROM支持。
更新数据库，支持机器猫MAPPER15两个ROM的基础执行。
增加unif的reg文件到SVN，暂时没有用。

R194
UNIF BMC-NEWSTAR-GRM070-8IN1 - unew dump New Star Super 8-in-1 Mao He Lao Shu Lai Le !! (GRM070,8IN1)[p1].unf by dragon2snow


R193
增加秋风五丈原汉化版_非标准CPU指令的被破解的ROM的基础支持

R192
完善MAPPER31，增加软复位和电源区别。
完善Mapper 195 原fceux 2.2的实现方式,子mapper alt1，增加6000-7FFF内存处理。
Hack 方式让ROM Ba Bao Qi Zhu - Li Jian Ba Quan Zhuan (EverQuest) (ES-1067) (Ch)可以执行，TODO测试。
完善Bio Senshi Dan - Increaser Tono Tatakai (J) [hM66]在nestopia plus!中的执行问题。
增加中国大哼DEBUG MAPPER，IRQ还有问题。

R191
Hack 方式让一个ol的Mapper 66的ROM可以执行
修正完善UNL-8237A， 9-in-1 King001 (Unl) [U][!]第一个游戏狮子王可以执行。TODO：大量ROM测试哟

R190
完善Mapper66,部分转66的ROM可以执行
完善外星 战国群雄传几个ROM的执行问题。
更新数据库

R189
增加Mapper 195 原fceux 2.2的实现方式,子mapper alt1。
Hack 方式让Zu Qiu Xiao Jiang (Ch).nes Raw 的ROM可以执行。
Hack 方式让Goodnes 3.23b中三个(GBA-Capcom Classics)非修正的ROM可以执行

R188
Hack 方式让[ES-1129] Gao Da Wai Zhuan (C) Raw 的ROM可以执行。
更新数据库，定向168合一为MAPPER176

R187
增加MAPPER47 子MAPPER 数据库定义 REVA，Famicom Yarou Vol.1 7-in-1 (Unl) [!].nes可以工作。
add ines database entry with correction for Dragon Wars (U) (proto)

R186
UNIF COOLBOY - more fixes [ClusteR]

R185
增加 Mapper227  DIPSWITCH 代码，新吸出的ROM可以使用DIP对话框选择DIP。
更新 Mapper227 的PCB信息

R184
UNIF BMC-K-3036 - new dump 35-in-1,菜单与BMC-ET-67-5-07-C相似，代码合并，但MIRR处理要完善。增加32K模式处理。

R183
UNIF BMC-ET-67-5-07-C - new dump 36-in-1 by 未眠鱼
Support for mapper 25.15 from rdanbrook
Support for mapper 4.1  from rdanbrook
fixed Support for mapper 25.15
增加doc，submapper.txt，用于未来完善NES2.0 submappers


R182
Support for mapper 23.15  from rdanbrook/nestopia UD 
Initial support for NES 2.0 submappers  from rdanbrook/nestopia UD 
GoodNes 3.23 76-in-1 [p1][a1].nes to NES-PAL in database,TODO Test by dragon2snow

R181
add mapper 227 Bmc-70-in-1 submapper for GoodNes 3.23 76-in-1 [p1][a1].nes,guess mapper.
fixed BTL-900218 SubReset,IRQ BUG

R180
UNIF BMC-GT006-04 - unew dump Gold Cassette 6-in-1 Series Super 256K (Unl,A018).unf by dragon2snow,TODO: subReset crashed.
UNIF COOLBOY subReset crashed fixed;

R179
fix coolboy 2

R178
fix coolboy

R177
UNIF BMC-10-24-C-A1 - new dump 6-in-1 by ClusteR
UNIF COOLBOY - update from hardware tests by ClusteR


R176
UNIF T-1000，dragon2snow's dumped Dragon Ball Z III - Ressen Jinzou Ningen (J) [p1]可以执行，但EEPROM存档还没有模拟。


R175
增加BenshengBs5 DIPSWITCH 代码，新吸出的ROM可以使用DIP对话框选择DIP。
增加BenshengBs5 在没有DIPSWITCH设置时，使用复位切换DIP功能。
更新内部数据库，支持惊风发布的KT中文游戏，高级玩家可自行使用用户数据库来修正。

R174
UNIF KISS - new board for "Almana no Kiseki (FDS Conversion)(KISS)[U][!]" dump，this mapper like UNIF KS7017.

R173
UNIF KS204 - new board for "Gradius II (J) [p3].unf" dump，todo irq.
UNIF N-63  - new board for "Gradius II (J) [p1].unf" dump，todo irq.

R172
更新内部数据库，支持惊风2015年6月26日发布的新ROM。

R171
UNIF KS7021A - new board for "Getsufuu Maden (Unl,Kaiser 7021A) [p1]" dump,VRC4 CHR切换方式变化。台湾KAISER盗版

R170
UNIF PCB-A01-1 - new board for "9Mega Four In One (Unl,ResetBase)" dump

R169
HACK方式 修正FK23C，对SF12人进行CHR访问限制（实体机上不会花屏，但模拟器要作&0x7F），受影响ROM 3-in-1 (ES-Q800C)[p1] by byemu,kof99+Sf12 dump
恢复官方的readme.html帮助文件。
更新TODOLIST
更新自用金手指文档


R168
HACK方式 修正FK23C，对SF12人进行CHR访问限制（实体机上不会花屏，但模拟器要作&0x7F），受影响ROM Super Game 3-in-1 (Unl,YH346,ES-Q800C)[p1] by dragon2snow dump
完善UNIF AX-40G的MIRR处理.
增加数据库，Ying Zi Chuan Shuo 2 - Fudou Myouou Den (J)[p1] ines rom定向 UNIF AX-40G.


R167
回滚Set $4017 tp $00 on boot. Now passes more cpu test roms for nestopia，有问题的修正。导致大量合卡无法正常工作。
UNIF AX-40G - new board for "Ying Zi Chuan Shuo 2 - Fudou Myouou Den (J)[p1]" dump ,todo...

R166
UNIF 158B - new board for "Blood of Jurassic" dump

R165
重新定义UNL-LZ93D50-VRC4为UNL-T-238。代码CPP，HPP重写命名。根据PCB上的编号。

R164
增加UNL-LZ93D50-VRC4，dragon2snow's dumped Dragon Ball Z Gaiden - Saiya Jin Zetsumetsu Keikaku (J) [p1]可以执行，但EEPROM存档还没有模拟。

R163
完善BMC-HP2018-A，街霸花屏问题
增加KS106C支持，完善增加KAISE PRG32K+CHR8K+NMT控制 复位游戏卡支持。

R162
测试新DUMP的ROM，增加BMC-HP2018-A,类似FK23C，为不影响FK23C，暂时开一个新的MAPPER。


R161 
修正Strike Wolf (MGC-014) (Unl) -- Mapper 36: Game crashes after level 1 

R160
增加KAISER，SHENG TIAN PRG32K+CHR8K 复位游戏卡支持。
完善UNL-1996M3-SUPER-5IN1，其实更接近MAPPER60 VT5201，增加读写6000到7FFF段。围棋可以操作。
更新数据库，惊风DUMP Super 2-in-1 (Unl)[p1](修正MAPPER241)原卡带数据重定向到Mapper 178;

R159
完善MAPPER 60，VT5201，增加读写6000到7FFF段。要进行测试。
更新内部数据库

R158
增加新DUMP的3合一 T4A54A模拟支持，MAPPER待未来更多吸出完善

R157
增加盗版AMROM MAPPER7的HACK支持,修正矿工盗版两个ROM演示画面死机问题（实体机是不是死机是重启动标题）
增加Highway Star (J) [hM02]和Highway Star (J) [hM02][p1]支持，MIRR处理。


R156
修正MAPPER56 IRQ，继承KS202，定义为KS7022C.
支持BYEMU 2012到2013年之间DUMP的 128K MMC3 8in1,BMC-8IN1-0802

R155
新增加BTL69060新MAPPER,未眠鱼DUMP的4020IRQROM可以执行，同时GOODNES中四个游戏都正常游戏,未来要合并MAPPER。
更新数据库修正GOODNES中的沙罗几个hM02版定向到BTL69060

R154
MAPPER113 Fun Blaster Pak (HES) [!] HACK方式，四个游戏都正常游戏
更新数据Fun Blaster Pak (HES) [!]标为NTSC
增加新DUMPROM 1992 Xian Qu Zu He 3-in-1 18 Games Play (Unl)支持，DEBUGGER MAPPER，未来要合并。

R153
完善TC0190fmcPal16r4A,所有MAPPER48指向原TC0190fmcPal16r4，特定ROM指向TC0190fmcPal16r4a.
更新数据库，部分MAPPER70的ROM重定向到MAPPER152.
Set $4017 tp $00 on boot. Now passes more cpu test roms for nestopia
增加版权信息到源代码，2008-2016年 by dragon2snow
清理代码，增加部分VRC4衍生版本注释


R152
修正TC0190fmcPal16r4,并建分支MAPPER TC0190fmcPal16r4A.

R151
修正BMCRESETMMC3 512K模式。
增加BMCRESETMMC1 可能受ROM顺序影响

R150
增加新DUMP的BMC-810123C支持，超级16合一(M118+2M4)1992 ChangXiaoZuHe 16-in-1 256K Zui Gao Pin Zhi(Unl)
增加数据增加1992 ChangXiaoZuHe 16-in-1 256K Zui Gao Pin Zhi(Unl)中单ROM大力工头的支持。

R149
增加CRC方式验证盗版3合一KOF98执行问题。
增加从数据去startframeirq问题
完善MAPPER208，6800到6FFF写操作。

R148
增加CRC方式验证盗版洛克人3代执行问题。
WELL 3-in-1 (Unl,AB106)将正常执行

R147
增加BTL-SBNS02VB 主板的游戏支持，MAPPER224 分支。
更新数据库，将byemu(PETER) DUMP的原版SBNS02VB主板的游戏和惊风的重定向到BTL-SBNS02VB
英雄无敌PETER,惊风都DUMP了，原版一样，PETER的先发布的，姜维第二的卡。


R146
更新数据库,增加BS-5 DIP开关

R145
更新数据库

R144
更新数据库，支持惊风2015年4月6日发布的ROM，部分要测试

R143
回滚WXN解密176部分代码，无图像游戏解决。这个要测试WXN解密问题太多。
添加BTL-6499-02支持，DEBUGGER MAPPER,IRQ要完善。目前通关后分数画面花屏？
添加数据，修正以前发布的MAPPER23的SUPERCONTRA VRC两个ROM定义为BTL-6499-02

R142
完善btl-900218的IRQ
添加BTL BAIDAI VRC4注释

R141
增加btl-900218 borad支持，盗版斧王 Ax5705+GD4040B可以执行了
TODO:IRQ精确。

R140
修正BMC-60311C 17合一，西天取经问题。
启用204子mapper 代码。
修正圣谦，侏罗纪小子 UNIF的错误MIRRROM的执行。增加UNIF修正代码。

R139
添加204子mapper 代码，但未启用。80-in-1.nes暂时无法模拟，但子mapper代码正常执行。

R138
同步fceux的fk23c到SuborFk23c

R137
增加卡圣2合一的支持，包括惊风的顺序和GOODNES里的顺序。要更多的ROM来确定。
完善数据库
完善MFVI两个驱动UNLYOKO,UNLMASTERFIGHTERVI

R136
修正GN-45,OK411 PCB的MAPPER205，主要是增加8K WRAM 测试了三个ROM,有问题以后再解决
修正BMC-BOOGERMAN-2IN1,Mapper 134 分支？，合并MAPPER，测试了了三个ROM


R135
修正FME7的IRQ from lidnariq

R134
UNIF COOLBOY - small fix  from cah4e3，要测试更多ROM

R133
更新数据库，支持惊风新发布KT游戏。
更新数据库，支持惊风发布NJ游戏原始未修正ROM，黄飞鸿，霍元甲 163 ROM

R132

onebus,M2，4000 APUMAP修正。ONEBUS同步fceux/fceumm 感谢cah4e3更新的onebus.c

R131

完善onebus，大部分onebusROM 工作正常。还有部分ROM无法加载或是IRQ异常。


R130

优化OneBus代码，问题发生在2010-201F更新上。


R129

更新数据库支持惊风新发布的神风剑(双月传改版) 正确mapper
修正BF修正对Baseball Stars II (U)影响,TODO:测试


R128

整理高达三部曲代码，不能完全模拟。
更新数据库
增加备份未完成的CPU错误指令忽略指令的代码。

R127

修正mapper 199，支持高达三部曲，TODO：测试


R126

更新数据库，修正部分KT的口袋妖怪花屏问题
更新数据库，修正支持惊风新发布的ROM。

r125
增加新DUMP 4-in-1 Fighter (ES-Q800C1 PCB) [p2]支持，hack方式，传承人要进行MAPPER整合。
N163 sample length limit fix 
NstBoardNamcot163.cpp#L292
Change 0x20UL to 0x100UL
NstBoardNamcot163.hpp#L84
Change 0x1C to 0xFC

r124
增加铁拳4合一，FK23C分支

r123
增加UNL-T4A54A，byemu(peter dumped)支持
更新数据库支持4合1，MAPPER178

r122
修正外星MAPPER4，风云正常执行（要进行必要的测试）

r121
增加惊风的MAPPER74分支

---------------------
r120
升级工程到VS2013 增加外星科技TYPEG的分支，32K存档。暂时不能替代原始199. 更新数据库，拉迪亚战记为Dendy类似，界于NTSC和PAL之间

---------------------
r119
更新WXN解密代码的wrk1--wrk0
---------------------

R118

更新fk23c/fk23ca存档支持32K

R117

更新mapper 35注释，关于wrk使用进一步了解
更新fk23c/fk23ca代码，代码优化
增加PPU cpu.GetCycles() >= cycles.reset忽略HACK，找到正确的方法后移除。
更新数据库

R116

代码更新fk23c，双月传可以执行。

R115

外星双月传fk23c代码优化，未修正BUG

R114

修正MAPPER35 来着CAH4E3,增加5800端口，好像解决了

R113

更新sc127，死机情况少了，但还有问题一步步解决


R112

UNIF COOLBOY - bugfix, now should support any game from cah4e3

R111

UNIF COOLBOY - new dump support,from Cah4e3


R110

修正新星四合一的不能执行，我记忆出问题，还有一个卡带也是这个MAPPER

R109

更新修正unif的MIRR带来的弊端，N多游戏MIRR不正常


R108

APU注：step_check is 00 or 1F
补更新数据库


R107

更新数据库支持修正的忍者龟3汉化
添加ines 238跳转


R106

first pass at acclaim mc-acc support by perilsensitive
同时变更mmc3的irq模板，acclaim mc-acc 代码容合，但没有启用。

R105

增加MAPPER 59支持，没有ROM，暂时没有测试

R104

增加MAPPER 127支持，支持盗版双截龙和究极虎。前者要测试。
增加UNL-DRIPGAME初步支持，暂时不可以玩

R103

增加BMC-T-102支持，科乐美VRC4 4合1 卡带模拟，卡带DUMPER 三颗糖(TODO:即时存档要修正)

R102

修正UNL-BANDAI-VRC4即时存档错误。同时增加EEPROM的相关代码，存档一样不能使用。

R101

增加中国盗版龙珠Z2 初步模拟魂，但存档有问题，定义为UNL-BANDAI-VRC4


R100

暂时修正T262方块执行问题。



R99

临时修正mapper 200 mirr问题，FCEUX没有问题
增加FCEUX mapper 217 小合卡分支

R98

不太完善的修正mapper 200，以正确模拟现有所有的200的ROM，使用alt开关切换到原始NESTOPIA MAPPER

R97

增加nessie102a11的mapper 203,使用数据库，alt芯片选项。TODO：测试


R96

增加nessie102a11的mapper 133(实为类似57)，133是圣谦MAPPER,不是21合一的盗版卡


R95

完善mapper 57,保留nestopia 官方驱动，使用alt开关。


R94

CRC方式修正MAPPER60 4in1,bb,f1,sf,cc


R93

增加BMC-BOOGERMAN-2IN1支持，定义为134，TODO：合并MAPPER


R92

修正数据库双截龙3代的BOSS的MAPPER错误问题


R91

暂时增加BMC-TOYSTORY-4IN1,以让goodnes中的Super 1997 4-in-1 [p1].nes可以执行,标准MMC3+219的mapper.

R90

修正非标准MMC5 HACK ROM，IRQ，DMAC冲突，测试ROM RM4 MI OK

R89

临时解决mmc5  Reuben (SMB3 Hack)执行问题,R4MI,SMB3R 执行OK,待测试


R88

临时解决mmc5 rockman 4 MI 执行问题 Reuben (SMB3 Hack)暂时不能执行。
解决MMC3  rockman 4 MI 执行问题


R87

修正UNLVRC7P的IRQ存档
删除SVN上的FDS ROM


R86

增加UNL Vrc7p ,YOKO Mortal Kombat V Pro, VRC7 pirate clone


R85

完善yoko IRQ,Mortal Kombat II (YOKO) [U][!]修正,待测试
增加盗版 Master Fighter VI' (Unl,EJ-4003),UNL-82112C支持,yoko变种.
修正数据库,让goodnes 3.23部分ROM可以正常执行.


R84

解决口袋水晶版部分不能执行的,目前还差一个FS0005没有解决.

R83

增加PPU备份+金手指


R82

新的忍龙DMA冲突,月亮花屏问题,但也要等最好的解决方案


R81

另一种修正忍龙的方法,与224的控制DMA冲突一样


R80

解决忍者龙剑传 美版 演示画面月亮少一块的问题,但要进行测试
同时发现使用不限制精灵,会有新的BUG

R79

更新发布说明
更新PPU,修正Burai Fighter (U) [!]状态栏问题
整合PPU,要进行详细测试
备份原始PPU代码和原始修正代码


R78

更新数据库,让一些P2或P3的游戏在dendy下正常工作

R77

mapper 4 增加trainer支持，龙魂转MMC3版可以执行，这类ROM就不应该支持，要收集标准MMC3ROM后继的执行

R76

备份原waixingexb(惊风MAPPER74)
完善waixingexb(惊风MAPPER74)
修正NstCartridgeInes.cpp中文乱码
增加惊风MAPPER74的ROM支持
---------------------

R75

Fix a typo within a conditional in NstCartridgeUnif. 
Remove a wrong terminating semicolon for a for loop. 
by lioncash 
修正ines,unif后部分ROM的数据库更新
---------------------

R74

增加mapper 28支持,补上传代码
增加mapper 29支持,代测试
---------------------

R73

增加mapper 28支持，TODO 测试
暂时回滚unif,ines的cpp的修正
---------------------

R72

Fix a typo within a conditional in NstCartridgeUnif. 
Remove a wrong terminating semicolon for a for loop. 
by lioncash 
---------------------

R71

整理代码,去掉ResetMmc3的永远不可能访问的程序段
更新数据把toy story从mapper4定义为mapper219
---------------------

R70

为新DUMP 8in1里的kof98增加支持

R69

更新超级24合一MAPPER BMC-SUPER24IN1SC03,支持更多的DUMP,待测试
---------------------

R68

增加mapper BMC-STREETFIGTER-GAME4IN1暂时支持,类似mapper49,但有一点不同

R67

添加Golden 16-in-1 SPC001 (Unl)[p1][U].unf BMC-GOLDEN-16IN1-SPC001暂时支持
---------------------

R66

修正k3019编译错误！！！！！
---------------------

R65

修正28in1 k-3019,所有游戏working
---------------------

R64

更正cpp为pc格式
增加wx-205 bmc-wx-205 支持，未来要合并到其它MAPPER
---------------------

R63

更新BMC-411120-C，支持无根灯草(Q3137145)DUMP的街头霸王二代4in1,
初步模拟28-in-1 K-3019,todo 要完善 
增加BMC-T-227-1，不知道ROM是什么，要进行测试
---------------------

R62

增加无根灯草(Q3137145)DUMP的街头霸王三代4in1,盗版新星?
---------------------

R61

增加内部数据库支持TMNT3 汉化
---------------------

R60
Author: dragon2snow
Date: 2014年6月29日 23:05:22

修正mickeys safari in letterland 下方状态条闪动，感谢james todo test
---------------------

R59

更新Ppu注释
fix for sound issue by SteelyWing
---------------------

R58

增加Nteam汉化组kasuraj的VRC4忍者龟3大字体汉化
---------------------

R57

更新数据库
---------------------

R56

增加mmc3 xin1 (512,256,128三种),unrom xin1格式
完善Farid SLROM 8in1
增加上海天苑软件的工程mapper
增加但没使用FK23C的mapper ，可执行双月，但会发生brk，要进行后继完善
---------------------

R55

增加FaridSLROM8in1支持，unif名：FARID_SLROM_8-IN-1

R54

增加自制合卡unrom8in1支持。
---------------------

R53

完善mapper 237 增加dip选项，修正复位CPU JAM
增加mapper 174,UNL-SMARTGENIUS支持，ROM和代码来着惊风
修正FDSIRQ？之前好像修正过，没有提交？
---------------------

R52

更新mapper 237 代码整合惊风,byemu，和dragon2snow
---------------------

R51

完善mapper 12 支持dip开关，同时todo 完善ppu
完善WaixingPS2
完善mapper 34
初步支持mapper 237

R50

修正NJ163 吕布猛将传a2版本，CRC验证
模拟NJ数独2合一
---------------------

R49

增加mapper 245 分支，支持Destiny of an Emperor - Rise of Lu Bu 3.0
更新mapper 31 源代码
---------------------

R48

增加mapper31,infiniteneslives-NSF支持
暂时修正nsf从0x500地址播放的问题
---------------------

R47

修正部分语法，方便同步到ps3版本的nestopia

R46

重新上传NstBoardSxRom,保持SVN为可编译版本 
---------------------

R45

更新core工程文件
增加UnlMMC1解决美化吞一代美版的花屏问题。
增加BtlNROM正确模拟2-in-1 - Chiu Kap Hing Dai + Mung Waan Hing Dai (LB-35) (Unl)，按复位切换正常马里奥和梦幻马里奥，实际卡带如此。
更新数据库，修正12合一方块的MIRR问题
---------------------

R44

更新core工程
更新数据库,增加ud数据库
增加Namcot 175 +340
---------------------

R43

增加Russkie_Gonki_(Highway_Star) by cah4e3
---------------------

R42

更新database
暂时解决天才马里奥unif加载prg为0问题
---------------------

R41

修正mapper 205 for two 7in1
---------------------

R40

增加BMC-JC-016-2支持，BMC-JC-016-2为mapper 205! 7-in-1(JC_016_2)(Unl).unf
增加BMC-830425C-4391T支持，Super Hik 6-in-1 A-030(Unl).unf by byemu
更新NstDatabase数据库xml+zip
更新core工程文件
---------------------


R39
更新core 从2013降为2010
---------------------
R38
增加非标准UNIF KS7031支持，同UNL-KS7031
---------------------
R37
增加BMC-K-3088,BMC-810849C支持
---------------------
R36
更新ks7010,0801的调试mapper 完善35in1K3033 MAPPER,目前正常 工作
---------------------
R35
更新ROM数据库 更新core工程for VS2012
---------------------
R34
增加8强９合一，BmcF06C4713 
---------------------



1.修正Family Circuit'91 执行问题nmt不用处理
2.修正塞尔达传说2 汉化版 乱码问题
3.修正Puzzle (USA) (Unl) (Beta)为mapper 3
4.完善ac-08的支持,恶魔城一代ac-08模拟.
5.更新mapper 45,增加新游戏的游戏开关,对应Super New Year Cart 15-in-1 (Hummer team)(Unl)[!]
6.修正mapper 241 ,commands(ch) fix 启动随机Cpu Jam!问题
7.恢复mapper 185到1.37版本,同时同步fceu mm
8.增加mapper 181,来着fceu mm
9.修正kof98,kof97,kof99 ines 不能执行的问题,super hik 7in1 没有修正(修正后第六个游戏无法执行)
---.xml重定向Strategist (With Intro) (Sachen)为243,但初始画面黑,要按一下键后才会开始游戏,暂时删除
---.美女拳 debug时花屏,relase时不花,原因不明
---.少林武者 fceu,vnes,nestopia 工作不正常,花屏
10.修正SBA8 外星解密游戏崩溃问题(待测试)
11.XML重定向部分外星解密游戏为MAPPER 30(NESTOPIA暂用mapper),部分原为mapper 4 ROM定义为mapper 254
12.修正MAPPER 176,三国志 雄霸天下可以正常执行,原176 mapper错误,应该更接近于fk23c
13.修正mapper 241,修复修正commands(ch) fix 启动随机Cpu Jam!问题后其它游戏花屏的问题

2011.12.14之前
1.增加mapper 168 支持
2.增加mapper 253 支持 来着fceu mm
3.修正mapper 199 CRC检测支持成吉思汗 外星汉化(VirtuaNESex为mapper 198)
4.修正Young Indiana Jones Chronicles, The (U) [!] 少年印地安那 图型不正确的问题
5.增加KS7017驱动,奇迹之石 正常游戏(IRQ不精确)
6.增加fk23ca驱动,洛克人6合一游戏正常,其它游戏没有修正
7.增加LH52驱动,FDS转NES游戏ROM,恶魔城二代 日版 NES格式游戏的支持
8.修正mapper 142,42,支持绿色兵团日版nes格式,赤色要塞日版nes格式
9.增加mapper 111 支持,中文游戏 忍者龙剑传 TPU汉化
10.增加mapper 101 支持(类似mapper 87)
11.修正mapper 21,23,25,兼容处理
12.增加Mapper 162 - 添加iNES mapper ,赛尔达传说 三神之力
13.增加UNIF FS304 - 添加UNIF mapper ,赛尔达传说 三神之力
14.增加UNIF KS7013B,Mapper 220 - 新kaiser mapper mmc1 简单的转换
15.完善 Mppaer 156 - 重新写,现在支持Mirroring和512K的CHR ROM,支持 新dump 将军的儿子
16.增加UNIF KS7012 - 支持新dump特卡 银河号支持
17.增加 Mapper 30 - 添加Waixing Subor A8 部分解密ROM,如三侠五义支持
18.HACK Mapper 4 - 小修正为SFVI 16P执行！
19.完善Mpper 189 - 修正,"Mario Fighter III(Unl)[!]"正常工作.
20.增加Unl-Yoko支持
21.增加新DUMP BMC-BS-5 的ROM支持,完善开关控制.
22.增加Unl-Sc127支持
23.增加Bmc411120C
24.增加Bmc830118C
25.增加UNL43272
26.增加BMC810544CA1
27.修正BMC-T-262 ,修正11合一

 
 